# H4504_HoldNotificArg Class Reference

`#include <h4504.h>`

Inheritance diagram for H4504_HoldNotificArg:

List of all members.

## Public Types

enum | OptionalFields { e_extensionArg }

## Public Member Functions

| H4504_HoldNotificArg (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H4504_ArrayOf_MixedExtension | m_extensionArg

## Member Enumeration Documentation

enum H4504_HoldNotificArg::OptionalFields

Enumerator:

  e_extensionArg |

## Constructor & Destructor Documentation

H4504_HoldNotificArg::H4504_HoldNotificArg | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4504_HoldNotificArg::GetDataLength | ( |  | ) | const

PBoolean H4504_HoldNotificArg::Decode | ( | PASN_Stream & | strm | ) |

void H4504_HoldNotificArg::Encode | ( | PASN_Stream & | strm | ) | const

void H4504_HoldNotificArg::PrintOn | ( | ostream & | strm | ) | const

Comparison H4504_HoldNotificArg::Compare | ( | const PObject & | obj | ) | const

PObject* H4504_HoldNotificArg::Clone | ( |  | ) | const

## Member Data Documentation

H4504_ArrayOf_MixedExtension H4504_HoldNotificArg::m_extensionArg

The documentation for this class was generated from the following file:

- h4504.h